Skip to main content
POST
/
workspaceManagement
/
users
/
{userUuid}
/
removePermission
Remove user permission
curl --request POST \
  --url https://api.getcargo.io/v1/workspaceManagement/users/{userUuid}/removePermission \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resourceUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "effect": "allow"
}
'
{
  "permissions": [
    {
      "effect": "allow",
      "resources": [
        "<string>"
      ],
      "actions": [
        "ai:agent:*"
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userUuid
string<uuid>
required

User identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$

Body

application/json

Request body schema.

resourceUuid
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
effect
enum<string>
required
Available options:
allow,
deny

Response

Successful response

permissions
object[]
required